﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PuferFishContracts.DataModels;

namespace PuferFishContracts.StoragesContracts;

public interface ISaleStorageContract
{
    List<SaleDataModel> GetList(DateTime? startDate = null, DateTime? endDate = null, string? workerId = null, string? buyerId = null, string? productId = null);
    SaleDataModel? GetElementById(string id);
    void AddElement(SaleDataModel saleDataModel);
    void DelElement(string id);
}
