﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PuferFishDataBase;
using PuferFishTests.Infrastructure;

namespace PuferFishTests.StoragesContracts
{
    internal abstract class BaseStorageContractTest
    {
        protected PuferFishDbContext PuferFishDbContext { get; private set; }
        [OneTimeSetUp]
        public void OneTimeSetUp()
        {
            PuferFishDbContext = new PuferFishDbContext(new ConfigurationDatabaseTest());
            PuferFishDbContext.Database.EnsureDeleted();
            PuferFishDbContext.Database.EnsureCreated();
        }
        [OneTimeTearDown]
        public void OneTimeTearDown()
        {
            PuferFishDbContext.Database.EnsureDeleted();
            PuferFishDbContext.Dispose();
        }
    }
}
