﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PuferFishDataBase.Models;
internal class Sale
{
    public string Id { get; set; } = Guid.NewGuid().ToString();
    public required string WorkerId { get; set; }
    public string? BuyerId { get; set; }
    public DateTime SaleDate { get; set; }
    public double Sum { get; set; }
    public double Points { get; set; }
    public bool IsCancel { get; set; }
    public Worker? Worker { get; set; }
    public Buyer? Buyer { get; set; }

    [ForeignKey("SaleId")]
    public List<SaleProduct>? SaleProducts { get; set; }
}
